OBJ_DIR  = ./obj
TARGET_DIR = ./target
APPL     = ../APPL
APPLBIN  = $(APPL)/BIN
SYSTEM   = ../System

# C source files
CSRCS = \
	$(APPL)/module.c \
	$(APPL)/usercode.c \
	$(APPL)/source.c \
	$(APPLBIN)/osdl_bmp.c \
	$(APPLBIN)/osdl_ini.c \
	$(APPLBIN)/osdl_txt.c \

	
# Target name:  
TARGET_NAME = rcprogramm

# Definitions: [-D name[=definition]...] [-U name...]
# Things that might be added to DEFS:
DEFS = \
	-D___CTR___ \

# Extra flags to use when linking
#LD_EXTRA_FLAGS = -Xlinker -Map="$(TARGET_DIR)/$(TARGET_NAME).map" -mcpu=arm926ej-s -marm

# Include path (Production) 
INC_PATH = \
	"$(OSDL_SYS)\ctr_lib\INC" \
  	"$(OSDL_SYS)\Def" \
	"." \

# Include path (BBB)
#INC_PATH = \
	"../../rc_lib/ctr_lib/inc" \
	"../../rc_lib/Def" \
	"." \

  
LIB_PATH = \
	pthread \

# Device/Platform/Board include path
PLATFORM_INC_PATH = \
	$(LINARO_GCC)\..\arm-none-linux-gnueabi\libc\usr\include \

# Options to request or suppress warnings: [-fsyntax-only] [-pedantic[-errors]] [-w] [-Wwarning...]
# For further details, refer to the chapter "GCC Command Options" of the GCC manual.
WARNINGS = -Wall

# Options for debugging: [-g]...
# For further details, refer to the chapter "GCC Command Options" of the GCC manual.
DEBUG = -g

# Options that control optimization: [-O[0|1|2|3|s]]...
# For further details, refer to the chapter "GCC Command Options" of the GCC manual.
OPTIMIZATION = -O0

#C_EXTRA_FLAGS = -fmessage-length=0 -fsigned-char -fcommon -mcpu=arm926ej-s -marm
