#ifndef ___ASS_TYP_H___
#define ___ASS_TYP_H___

//*** Element-typen
#define ETYPE_NUM 1
#define ETYPE_BIN 2
#define ETYPE_STR 3
#define ETYPE_TIM 4
#define ETYPE_DAT 5

//*** Assign-typen
#define		ATYPE_STATUSBLOCK	-10 
#define		ATYPE_LOCAL	0
#define		ATYPE_PAR	1
#define		ATYPE_EVT	2
#define		ATYPE_EVA	3
#define		ATYPE_SIM	4
#define		ATYPE_PNT	5
#define		ATYPE_DI	6
#define		ATYPE_DO	7
#define		ATYPE_AI	8
#define		ATYPE_AO	9
#define		ATYPE_CNT	10
#define		ATYPE_POS	11
#define		ATYPE_DRV	12
#define		ATYPE_MSG	13
#define		ATYPE_DIP	14
#define		ATYPE_DOP	15
#define		ATYPE_FLAG	16
#define		ATYPE_SYS	17
#define		ATYPE_IN	18
#define		ATYPE_OUT	19
#define		ATYPE_IO	20
#define		ATYPE_TIM	21
#define		ATYPE_STAT	22
#define		ATYPE_KEY	23
#define		ATYPE_PROC	24
#define		ATYPE_CONST	25
#define		ATYPE_SEMA	26
#define		ATYPE_MAIL	27
#define		ATYPE_EVENT	28
#define		ATYPE_INEVENT	29
#define		ATYPE_OUTEVENT	30
#define        ATYPE_RTC      31

#define		ENUM_ROWSPAN 2
#define 	EBIN_COLSPAN 4

//*** Bitmasken fuer die Flag View auf der Steuerung
#define		DEBUG_FLAG	1
#define		DEBUG_PAR	2
#define		DEBUG_IN	4
#define		DEBUG_OUT	8
#define		DEBUG_STAT	16

typedef	struct {
	short	lOff;				// Byte 0:	log. Offset		
	short	lFull;				// Byte 2:	log. Full		
	short	pOff;				// Byte 4:	phys. Offset		
	short	pFull;				// Byte 6:	phys Full		 
	long	date;				// Byte 8:	Date of last calibration, currently unsupported, remains for here for future use
	short	gueltigkeitstage;	// Byte 12:	validity time calibration in days, currently unsupported, remains for here for future use
	} Kali;
#endif
