
#ifndef __exhtml__
#define __exhtml__

#define	HTML_ASSLEN 200000

class Element;

#ifndef LEN_NAME_MAX
#define LEN_NAME_MAX 100
#endif

#define MAX_SMTABLE_INDEX	90
#define MAX_ZEILEN 50
#define MAX_ZEILEN_LEN 100
#define ACTIONTXT_LEN 10000
#define EINRUECKEN_LINKS L"<ul>\r\n" 
#define EINRUECKEN_RECHTS L"</ul>\r\n" 

#define OVERVIEW_SIZE_X	2000
#define OVERVIEW_SIZE_Y	4100

class Html2ascii
	{
	public:
	void konvert(string &txt);
	void getHeader(string &txt);
	};

class ExportHtml
{
	private:
		FILE	*fphtml;
		FILE	*fphtmlass;
		FILE	*fphtmlpage;
		FILE	*fphtmlmodul;
		FILE	*fphtmloverview;
		FILE	*fphtmlprint;
		FILE	*fphtmlprintall;
		FILE	*fphtmlmaskoverview;
		FILE	*fphtmlModulall;
        FILE    *fphtmlCommunication;
		FILE	*fphtmlElemtaball;
		FILE	*fphtmlCtrmenuall;
		FILE	*fphtmlVismenuall;
		FILE	*fphtmlAllgemein;
		//*** merke beim aufbau der tabellen, die die stati der statusmaschinen beschreiben
		//*** den stand wenn die erste spalte sich ueber mehrere zeilen erstreckt
		//*** 2 Faelle:
		//***	vorher kam eine Section, d.h. neue erste spalte setzen
		//***	vorher kam ein entry, erste spalte wie in voriger zeile
		//*** hier koennen tabellen in tabellen auftreten (rekursiv)
		short	smTableflag[MAX_SMTABLE_INDEX];
		short	smTableIndex;
		short	moduldoku;		//*** falls ein modul dokumentiert wird = 1, sonst = 0
		//*** Displayhoehe 40 Zeilen fuer groessere Menus !!
		char	display[MAX_ZEILEN][MAX_ZEILEN_LEN+1];
		short	maxzeilenr;
		//*** Dokumentationstyp unterscheidet kundendoku / technikerdoku
		short	Dokumentationstyp;
		//*** gesamtdoku unterscheidet gesamtdoku mit funktionsfaehiger sim.dll oder teildoku ohne die screens
		short	gesamtdoku;
		wstring	actiontxt;
		char	einrueck[100];
        std::map<unsigned short, std::map<unsigned short, std::wstring>> comCANopen;

	public:
		wstring itxt;
		wstring	htmlpar;
		wstring	overviewbuf;
		wstring	elemtabbuf;

		ExportHtml(short gesamtdoku);
		~ExportHtml();
		void disp2overview(short posx, short posy);
		void writetitelseite(void);
		void writeDruckDatum(void);
		void write(wstring text);
		void write1(wstring text); 
		void PageLink(wchar_t *link, wchar_t *linktxt);
		void writeaction(const wchar_t *text);
		void writeass(std::wstring text); 
		void writeass1(wstring text); 
		void writepage(const wchar_t *text); 
		void writepage1(wstring text); 
		void openass(char *filename);
		void closeass(void);
		void beginSubstate(void);
		void endSubstate(void);
		void setDokumentationstyp(short dt);
		//*** InstanceNumber ist die anzahl der instanzen von mname
		void openpage(wchar_t *filename, wchar_t *titel, wchar_t *mname, short InstanceNumber);
		void closepage(char *imagestring);
		short openmodul(char *filename, wstring titel, wstring mname, wstring info); 
		void jpg2modul(char *jpgname, short htmlsizex, short htmlsizey);
		void smTableTitle(char *statname);
		void smTableSection(char *sectionname, short nr);
		void smTableEntry(char *entry1, char *entry2);
		void smTableEnde(void);
		void closemodul(void);
		void clearpage(void);
		void AssToInhalt(wstring *link, wstring *); 
		void space(void);
		void writestr(short x, short y, wchar_t *text);
		void writeoverview(const wchar_t *text); 
		void writeoverview_sub(const wchar_t *text); 
		void writeoverview1(wstring text); 
		void writeoverviewlistlink(const wchar_t *link, const wchar_t *linktxt);
		void writeoverviewlink(const wchar_t *link, const wchar_t *linktxt);
		void openoverview(void);
		void closeoverview(void);
		void overviewup(void);
		void overviewdown(void);
		void closeprintpage(void);
		void openprintpage(void);
		void writeprintpage(wstring text); 
		void Link2printpage(wchar_t *link, wchar_t *linktxt); 
		void closeprintall(void);
		void openprintall(void);
		void writeprintall(wstring text); 
		void writeElemtaball(const wchar_t *text); 
		void writeCtrmenuall(const wchar_t *text); 
		void writeModulall(wstring text); 
		void writeAllgData(const wchar_t *text); 
		void writemodulhauptseite(void);
		void Desc2modulhauptpage(wstring desc); 
		void Link2modulhauptpage(char *link, const char *linktxt);
		void write_htmlpar(void);
        void write_htmlcom(void);
        void add_htmlCANopen(unsigned short index, unsigned short subindex, wstring text);
		void writeMaskoverview(const wchar_t *text); 
		void writeVismenuall(const wchar_t *text);
};

extern ExportHtml *rootExpHtml;

#endif // __exhtml__