@echo off

pushd "%~1\.."

Rem Clean up Common directory
del ..\common\environ.def >NUL 2>&1
del ..\common\struct.lst >NUL 2>&1
del ..\common\release\sim.dll >NUL 2>&1
del ..\common\radMON\cclSerial.ini >NUL 2>&1
del ..\common\radMON\cclTcpIp.ini >NUL 2>&1
del ..\common\radMON\sim.dll >NUL 2>&1
del ..\common\radMONDebug\cclSerial.ini >NUL 2>&1
del ..\common\radMONDebug\cclTcpIp.ini >NUL 2>&1
del ..\common\radMONDebug\sim.dll >NUL 2>&1

Rem Remove standalone
rd ..\standalone /S /Q >NUL 2>&1

Rem Remove documentation
rd doc /S /Q >NUL 2>&1
rd doc2 /S /Q >NUL 2>&1

Rem Clean up APPL\BIN
del CTR\APPL\BIN\osdl.bmp >NUL 2>&1
del CTR\APPL\BIN\osdl.ini >NUL 2>&1
del CTR\APPL\BIN\osdl.txt >NUL 2>&1
del CTR\APPL\BIN\osdl_mot.bmp >NUL 2>&1
del CTR\APPL\BIN\osdl_mot.ini >NUL 2>&1
del CTR\APPL\BIN\osdl_mot.txt >NUL 2>&1
del CTR\APPL\BIN\osdl_bmp.c >NUL 2>&1
del CTR\APPL\BIN\osdl_ini.c >NUL 2>&1
del CTR\APPL\BIN\osdl_txt.c >NUL 2>&1

Rem Clean up APPL
del CTR\APPL\ctr_init.h >NUL 2>&1
del CTR\APPL\dev_def.h >NUL 2>&1
del CTR\APPL\distrib.c >NUL 2>&1
del CTR\APPL\distrib.h >NUL 2>&1
del CTR\APPL\include_all.h >NUL 2>&1
del CTR\APPL\include_lib.h >NUL 2>&1
del CTR\APPL\module*.c >NUL 2>&1
del CTR\APPL\module.h >NUL 2>&1
del CTR\APPL\project.io >NUL 2>&1
del CTR\APPL\project.tio >NUL 2>&1
del CTR\APPL\projectdefines.h >NUL 2>&1
del CTR\APPL\rdi.def >NUL 2>&1
del CTR\APPL\rdi_meta.c >NUL 2>&1
del CTR\APPL\rdi_offtab.c >NUL 2>&1
del CTR\APPL\rdi_pnttab.c >NUL 2>&1
del CTR\APPL\rdnum.h >NUL 2>&1
del CTR\APPL\source.c >NUL 2>&1
del CTR\APPL\source.h >NUL 2>&1
del CTR\APPL\stdafx.h >NUL 2>&1
del CTR\APPL\module.ref >NUL 2>&1
del CTR\APPL\preservePar.c >NUL 2>&1
del CTR\APPL\preserveProc.c >NUL 2>&1
del CTR\APPL\preserveSys.c >NUL 2>&1

Rem Clean up System
del CTR\System\bB_IOIntf.c >NUL 2>&1
del CTR\System\bB_master.c >NUL 2>&1
del CTR\System\ce.c >NUL 2>&1
del CTR\System\cfunc.c >NUL 2>&1
del CTR\System\ctr_cons.c >NUL 2>&1
del CTR\System\ctr_db.c >NUL 2>&1
del CTR\System\ctr_edit.c >NUL 2>&1
del CTR\System\ctr_persist.c >NUL 2>&1
del CTR\System\ctr_lib.c >NUL 2>&1
del CTR\System\ctr_util.c >NUL 2>&1
del CTR\System\diag.c >NUL 2>&1
del CTR\System\FlowMeter.c >NUL 2>&1
del CTR\System\ImacsProt.c >NUL 2>&1
del CTR\System\RdnComm.c >NUL 2>&1
del CTR\System\sms.c >NUL 2>&1
del CTR\System\sms_mobil.c >NUL 2>&1
del CTR\System\stdafx.h >NUL 2>&1
del CTR\System\syscode.c >NUL 2>&1
del CTR\System\system.h >NUL 2>&1
del CTR\System\vis.c >NUL 2>&1
del CTR\System\fontdisplay.c >NUL 2>&1

Rem Clean up CTR
del CTR\sys.lib >NUL 2>&1
del CTR\sysd.lib >NUL 2>&1

Rem Clean up Develop
del Develop\*.fnt >NUL 2>&1
del Develop\bmp2font.log >NUL 2>&1
del Develop\CharsOverLimit.bin >NUL 2>&1
del Develop\comp_des.bat >NUL 2>&1
del Develop\compile_sim.bat >NUL 2>&1
del Develop\config.ini >NUL 2>&1
del Develop\copy_mot.bat >NUL 2>&1
del Develop\copy_verz.bat >NUL 2>&1
del Develop\ctr.ini >NUL 2>&1
del Develop\ctr.txt >NUL 2>&1
del Develop\dev_def.h >NUL 2>&1
del Develop\DistComProt.csv >NUL 2>&1
del Develop\distrib.c >NUL 2>&1
del Develop\distrib.h >NUL 2>&1
del Develop\doku.ini >NUL 2>&1
del Develop\doku.txt >NUL 2>&1
del Develop\dokument.bat >NUL 2>&1
del Develop\eep_data >NUL 2>&1
del Develop\environ.def >NUL 2>&1
del Develop\error.txt >NUL 2>&1
del Develop\error2.txt >NUL 2>&1
del Develop\flag_data >NUL 2>&1
del Develop\kunde.bat >NUL 2>&1
del Develop\logfile.txt >NUL 2>&1
del Develop\memio.dok >NUL 2>&1
del Develop\modul.xml >NUL 2>&1
del Develop\module.c >NUL 2>&1
del Develop\module.h >NUL 2>&1
del Develop\module.ref >NUL 2>&1
del Develop\o_copy.bat >NUL 2>&1
del Develop\osdl.bmp >NUL 2>&1
del Develop\osdl.ini >NUL 2>&1
del Develop\osdl.txt >NUL 2>&1
del Develop\preservePar.c >NUL 2>&1
del Develop\preserveProc.c >NUL 2>&1
del Develop\preserveSys.c >NUL 2>&1
del Develop\project.io >NUL 2>&1
del Develop\project.tio >NUL 2>&1
del Develop\projectdefines.h >NUL 2>&1
del Develop\radon.lic >NUL 2>&1
del Develop\RDI.Def >NUL 2>&1
del Develop\RDI.java >NUL 2>&1
del Develop\RDI_DIFF.IDX >NUL 2>&1
del Develop\RDI_Meta.c >NUL 2>&1
del Develop\RDI_OffTab.c >NUL 2>&1
del Develop\RDI_PntTab.c >NUL 2>&1
del Develop\RDI_Text.c >NUL 2>&1
del Develop\rdnum.h >NUL 2>&1
del Develop\rebuild_sim.bat >NUL 2>&1
del Develop\remanent.txt >NUL 2>&1
del Develop\simulate.bat >NUL 2>&1
del Develop\source.c >NUL 2>&1
del Develop\source.h >NUL 2>&1
del Develop\standalone.bat >NUL 2>&1
del Develop\standalone_prj_picts.bat >NUL 2>&1
del Develop\stdafx.h >NUL 2>&1
del Develop\struct.lst >NUL 2>&1
del Develop\unused.txt >NUL 2>&1
del Develop\UseCaseDiagrams.txt >NUL 2>&1
del Develop\verteilte.txt >NUL 2>&1
del Develop\visual.bat >NUL 2>&1
del Develop\vmnumsettings >NUL 2>&1
del Develop\Windowstates.ascii >NUL 2>&1
del Develop\Windowstates.txt >NUL 2>&1
del Develop\event.txt >NUL 2>&1
del Develop\mailsettings.txt >NUL 2>&1
del Develop\preserveTab.c >NUL 2>&1
del Develop\radCase.lic >NUL 2>&1
del Develop\visual.lic >NUL 2>&1
del Develop\webvisu_create.bat >NUL 2>&1
del Develop\webvisu_start.bat >NUL 2>&1
del Develop\test.png* >NUL 2>&1

Rem Remove rCe
rd DEVELOP\rCe /S /Q >NUL 2>&1

Rem Remove standard PF-Config
rd Develop\ProductFrameConf\RES /S /Q >NUL 2>&1
del Develop\ProductFrameConf\ProductFrameConf.xml >NUL 2>&1
rem will only remove empty directory
rd Develop\ProductFrameConf >NUL 2>&1

Rem Remove subdirs in Sim
rd sim\Debug /S /Q >NUL 2>&1
rd sim\Release /S /Q >NUL 2>&1
rd sim\ObjReplacements /S /Q >NUL 2>&1
rd sim\.vs /S /Q >NUL 2>&1

Rem Cleanup sim diretory
del sim\*.* /Q >NUL 2>&1
rem will only remove empty directory
rd sim >NUL 2>&1

popd