@echo off
setlocal EnableDelayedExpansion

rem $Id: dokument.bat 8889 2016-03-11 15:48:34Z hstrauss $
rem
rem Copyright (c) IMACS GmbH Germany. All rights reserved.
rem

echo ===== STARTING COPYING ENVIRONMENT =====

copy doku.ini osdl.ini
copy doku.txt osdl.txt

del ..\doc\*.htm
del /Q ..\doc\jpg\*.*

del ..\doc2\*.htm
del /Q ..\doc2\jpg\*.*

if not exist ..\doc md ..\doc
if not exist ..\doc2 md ..\doc2
if not exist ..\doc\jpg md ..\doc\jpg
if not exist ..\doc2\jpg md ..\doc2\jpg
if not exist ..\doc\formate.css copy "%OSDL_SYS%\doku\rd_styles.css" ..\doc
if not exist ..\doc2\formate.css copy "%OSDL_SYS%\doku\rd_styles.css" ..\doc2
if not exist ..\doc\javafunc.js copy "%OSDL_SYS%\doku\javafunc.js" ..\doc
if not exist ..\doc2\javafunc.js copy "%OSDL_SYS%\doku\javafunc.js" ..\doc2

if not exist ..\doc\jpg\pfeil*.jpg copy "%OSDL_SYS%\doku\*.jpg" ..\doc\jpg

if not exist .\rCe md .\rCe
copy "%OSDL_SYS%\doku\rCe\*" .\rCe\

echo ===== STARTING DOCUMENTATION GENERATION =====

set ERROR=0
if not exist ..\..\common\release\sim.dll (
    echo .	.	.	sim.dll not found! Please create simulation in Release-version before documentation generation. > error.txt
	set ERROR=1
) else (
	..\..\common\release\common /EXPHTML=%1
	if ERRORLEVEL 1 (
		set ERROR=1
	)
)

exit /B !ERROR! >NUL 2>NUL