@echo off

rem $Id:  $
rem
rem Copyright (c) IMACS GmbH Germany. All rights reserved.
rem
rem Sets MSVC_BIN to Visual studio version of first parameter (e.g. 8.0 9.0 ...)

if "%~2"=="GetMsvcBin" goto GetMsvcBin

for /F "delims=" %%a in ('call "%~0" %~1 GetMsvcBin') do (
	set MSVC_BIN=%%a
)
exit /b 0

:GetMsvcBin
setlocal ENABLEEXTENSIONS
setlocal EnableDelayedExpansion

for %%a in (VCExpress\ VisualStudio\) do (
	for %%b in (SOFTWARE\Microsoft\ SOFTWARE\Wow6432Node\Microsoft\) do (
		set KEY_NAME="HKEY_LOCAL_MACHINE\%%b%%a%~1\Setup\VC"
		for /F "usebackq tokens=2*" %%c in (`REG QUERY !KEY_NAME! /v ProductDir 2^>nul`) do (
			set "OutputPath=%%dBIN"
		)
	)
)
if not "!OutputPath!"=="" echo !OutputPath!
exit /b 0