

#ifndef __WIN_H__
#define __WIN_H__

#ifdef __cplusplus

#define MAX_SUBMOD_NUM 10
#define EEP_FILE	"eep_data"
#define FLAG_FILE	"flag_data"

#define SIM_INIBIN_LEN	3000000L
#define SIM_INIBMP_LEN	3000000L
#define TXT_ARRAY_LEN	5000000L


//*** laedt fuer die Simulation die Daten die sonst
//*** im seriellen EEPROM liegen
class LocalBinaryInit
{
	char envpath[MAX_PATH];
public:
	LocalBinaryInit(short);
	LocalBinaryInit(void);
	void check_structs(void);
	~LocalBinaryInit(void);
};

extern LocalBinaryInit eepdata;
extern short Baumtiefe, Baumbreite;

extern long RemanentArray[];
extern unsigned char hEeprom[];
#ifdef ___FVS___
extern unsigned char hEepPar[];
extern unsigned char hEepSys[];
extern unsigned char hEepKaliInit[];
extern unsigned char hEepSysInit[];
extern unsigned char hEepUserInit[];
#endif

void pushmod(char *mname);
void popmod(void);

class Environment
{
	char	path[MAX_PATH];
public:
	Environment(short);
	char *getenv(char *def);
};

extern Environment osdlproject;
extern char globalmodnamen[];


void copyToMemIo(long index, void* val, long BitNr);
void copyToFlagStruct(long index, void* val, long BitNr);
void copyToParamStruct(long index, void* val, long BitNr);
void copyToSystemStruct(long index, void* val, long BitNr);
void copyToProcStruct(long index, void* val, long BitNr);

void initPathlessPtr(void);
void start_threads(void);
void end_threads(short onlyInterpreterThreads);
void restartInterpreter(void);
void UserOnClose(void);
void UserEnd(void);


void c2w(char *cstr, wchar_t *wstr);
wstring c2w(string txt);
void w2c(wchar_t *wstr, char *cstr);
wstring rdchar2w(RD_char *rdcstr);



class BinaryInit
{
public:
	long	binary_size;
	short	start_ok;
	BinaryInit(short);
};

void set_overview(void);
void set_pages(void);

extern BinaryInit InitBin;
extern short IO_Init;

void setglobelname(short i, char *n);
void setval(M_D_SCR CModul *modul, RD_char *name, long wert);
char *getPath(CModul *mod,char *mname);

CModul* searchmod(M_D_SCR RD_CONST RD_char *name);
CModul* searchModul(M_D_SCR RD_CONST RD_char *name);
CModul* searchModulAll(M_D_SCR RD_CONST RD_char *name);
void GetBurstConfig(char **elementnames, short maxstrlen, void **datenfeld);
long GetBurstData(void);
void SetBurstEnded(void);
long GetScanRate(void);
long GetBurstGraTime(void);
long GetBurstTime(void);

char *getcfuncdesc(short index);
const wchar_t *getText(short index);

void c2w(char *cstr, wchar_t *wstr);
void w2c(wchar_t *wstr, char *cstr);



void checkWriteOutOfDisplay(short screenID);
void resetWriteOutOfDisplay(short screenID);

#endif // __plusplus

#endif // __WIN_H__
