@echo off
setlocal enabledelayedexpansion

set OLDPATH=%PATH%
set PATH=%LINARO_GCC%
set ERROR=0

SET TOOLS=%OSDL_SYS%\TOOLS
SET FONT=%OSDL_SYS%\TOOLS\FONT

rem call getVersInfo.bat

rem Target erzeugen
make clean
make >target\error.txt 2>&1
if ERRORLEVEL 1 (
	set /a ERROR+=2
)

rem Umgebung wiederherstellen
set PATH=%OLDPATH%

rem Fehler ausgeben
type target\error.txt
"%TOOLS%\errorhandler" ..\..\develop\module.ref target\error.txt ..\..\develop\error2.txt 5 -il1204C -il1021C

"%SystemRoot%\System32\find.exe" "[COMPILER]" ..\..\develop\error2.txt >NUL 2>NUL
if not ERRORLEVEL 1 (
	set /a ERROR+=1
)

if "!ERROR!"=="0" goto Success
if "!ERROR!"=="1" goto Warning

endlocal
exit /B 2 >NUL 2>NUL

:Warning
endlocal
exit /B 1 >NUL 2>NUL

:Success
endlocal
exit /B 0 >NUL 2>NUL