//
// $Id: errorlist.h 8889 2016-03-11 15:48:34Z hstrauss $
//
// Copyright (c) IMACS GmbH Germany. All rights reserved.
//

#ifndef __errorlist__
#define __errorlist__

//*** Error ID				    Description/Code
#define	ERROR1	10001	//***	Sprachdatei fehlt
#define	ERROR2	10002	//***	BurstWriteChannel not initialized!
    #define ERROR3	10003	//***	unused
#define ERROR4	10004	//***	KeinModul
    #define	ERROR5	10005	//***	unused
#define ERROR6	10006	//***	CreatePrinterDC	
#define ERROR7	10007	//***	Das Target antwortet mit einer falschen Protokollversion. Erwartete Protokoll-Version: %s
#define ERROR8	10008	//*** 	Die Connection-DLL hat die falsche Interface-Version. Erwartet fr %s
#define ERROR9	10009	//*** 	"Die Connection-DLL \""cclConnection.dll\"" konnte nicht geoeffnet/gefunden werden!"
#define ERROR10	10010	//*** 	Ungueltige Portnummer
#define ERROR11	10011	//*** 	Schnittstelle ist schon geoeffnet!
#define ERROR12	10012	//*** 	Die Schnittstelle ist nicht korrekt initialisiert!
#define ERROR13	10013	//*** 	Fehler beim Lesen der seriellen Schnittstelle
    #define ERROR14	10014	//*** 	unused
#define ERROR15	10015	//*** 	Die Schnittstelle ist nicht korrekt initialisiert!
#define ERROR16	10016	//*** 	Fehler beim Schreiben der seriellen Schnittstelle
    #define ERROR17	10017	//*** 	unused
    #define ERROR18	10018	//*** 	unused
#define ERROR19	10019	//*** 	Es wurde keine Callbackfunktion definiert!
#define ERROR20	10020	//***	Sequenz %s nicht gefunden
    #define ERROR21	10021	//***	unused
    #define ERROR22	10022	//***	unused
#define ERROR23	10023	//*** 	%s nicht in %s vorhanden!
#define ERROR24	10024	//*** 	bmp2jpeg.exe kann nicht gestartet werden
#define ERROR25	10025	//*** 	bmp2jpeg.exe wurde nicht korrekt beendet
    #define ERROR26	10026	//*** 	unused
    #define ERROR27	10027	//*** 	unused
#define ERROR28	10028	//*** 	viele sammelmeldungen (z.t. osdl-syntaxfehler)
#define ERROR29	10029	//*** 	Grabuf Overflow
#define ERROR30	10030	//*** 	parameterlaenge falsch
#define ERROR31	10031	//*** 	version der parameter falsch
    #define ERROR32	10032	//***	unused
    #define ERROR33	10033	//***	unused
    #define ERROR34	10034	//***	unused
#define ERROR35	10035	//***	geraete-ID falsch
#define	ERROR36	10036	//***	statusblock zu kurz
#define	ERROR37	10037	//***	parameterblock zu kurz
#define	ERROR38	10038	//***	Signalview Visualisierer nicht gefunden
    #define ERROR39	10039	//***	unused
    #define ERROR40	10040	//***	unused
    #define ERROR41	10041	//***	unused
    #define ERROR42	10042	//***	unused
    #define ERROR43	10043	//*** 	unused
    #define ERROR44	10044	//*** 	unused
#define ERROR45	10045	//*** 	Die Device IDs von Target und Visualisierung passen nicht zusammen
#define ERROR46	10046	//*** 	Die Softwareversionen von Target und Visualisierung passen nicht zusammen
#define ERROR47	10047	//*** 	Die Versionen der Kalibrierdatenstrukturen von Target und Visualisierung passen nicht zusammen
#define ERROR48	10048	//*** 	Die Versionen der Systemdatenstrukturen von Target und Visualisierung passen nicht zusammen
#define ERROR49	10049	//*** 	Die Versionen der Parameterdatenstrukturen von Target und Visualisierung passen nicht zusammen
#define ERROR50	10050	//*** 	Die Versionen der Prozessdatenstrukturen von Target und Visualisierung passen nicht zusammen
#define ERROR51	10051	//***	Keine Funktion waehrend Protokoll-Download
#define	ERROR52	10052	//***	systemparblock zu kurz
#define	ERROR53	10053	//***	Fehler beim ffnen der CSV-Datei
#define	ERROR54	10054	//***	Fehler beim Schlieen der CSV-Datei()
#define ERROR55	10055	//*** 	Die Device IDs / Softwareversionen von Records und Visualisierung passen nicht zusammen
    #define	ERROR56	10056	//***	unused
#define	ERROR57	10057	//***	Ungltige(s) Datum/Zeit
#define	ERROR58	10058	//***	Unbekannter Fehler beim Protokolldownload
#define ERROR59 10059   //***   Modem Passwortuebertragung: Sendepuffer zu klein
	#define ERROR60 10060   //***	unused
	#define ERROR61 10061   //***	unused
#define ERROR62 10062   //***   Modem Passwortuebertragung: Checksumme falsch
	#define ERROR63 10063   //***   unused
#define ERROR64 10064   //***   Modemverbindung: Senden der Rueckrufaufforderung fehlgeschlagen
    #define ERROR65 10065   //***   unused
#define ERROR66 10066   //***   Rueckrufnummer zu lang
#define ERROR67 10067   //***   Befehlsweitergabe an Modem fehlgeschlagen
#define ERROR68 10068   //***   Multiple occurrences of element in module.  

//***	Warnings	
#define	WARN1	20001	//***	Drucker kann keine Bitmaps ausgeben
#define	WARN2	20002	//***	Keine Berechtigung
#define WARN3	20003	//***   Use 24 bit color
#define WARN4   20004   //***   No data recordings

//***	Informations	
#define INFO1	30001	//***	Dieses Fenster kann nicht geschlossen werden.
#define INFO2	30002	//***	Wirklich starten? Bestehende Aufzeichnung wird ueberschrieben!
#define INFO3	30003	//***	CommonLaueft
#define INFO4	30004	//***	Kein Lizenzfile vorhanden
#define INFO5	30005	//***	Lizenz nicht ausreichend
#define INFO6	30006	//***	Webvisu nicht lizensiert
#define INFO7	30007	//***	Lizenzfile nicht untersttzte Version
#define INFO8	30008	//***	Keine Druckoberflche in Fenster
#define INFO9	30009	//***	Keine Lizenz fr Standalone
    #define INFO10	30010	//***	unused
    #define INFO11	30011	//***	unused
#define INFO12	30012	//***	Passwort mit Level %d erkannt.
#define INFO13	30013	//***	Aufzeichnung Wirklich Loeschen
#define INFO14	30014	//***	Alte Meldung Wirklich loeschen?
#define INFO15	30015	//***	Sammelmeldung
#define INFO16	30016	//***	ZeitAbgelaufen
    #define INFO17	30017	//***	unused
#define INFO18	30018	//***	WollenSieSpeichern
#define INFO19	30019	//***	Sie sind nicht berechtigt den Diagnose/Forcemodus zu aendern.
    #define INFO20	30020	//***	unused
    #define INFO21	30021	//***	unused
#define INFO22	30022	//***	Die Daten konnten nicht geladen werden!\n(Datei leer oder Format falsch)
    #define INFO23	30023	//***	unused
#define INFO24	30024	//***	keine zahl eingegeben
#define INFO25	30025	//***	out of range
#define INFO26	30026	//***	Soll die Aktion wirklich ausgefuehrt werden?
#define INFO27	30027	//***	Soll das Passwort wirklich zurueckgesetzt werden?
#define INFO28	30028	//***	Das Limit der Demoversion wurde ueberschritten! Export wird abgebrochen!
#define INFO29	30029	//***	Sie sind nicht berechtigt die Kalibrierung zu aendern.
#define INFO30	30030	//***	Sie sind nicht berechtigt den Wert zu editieren.
#define INFO31	30031	//***	Lizenzdatei beschdigt
#define INFO32	30032	//***	Das Element kann nicht editiert werden.\r\nEs wird simuliert oder evaluiert.
    #define INFO33	30033	//***	unused
#define INFO34	30034	//***	This Element is not editable.\n(Offline)
#define INFO35	30035	//***	This Element is not editable.
    #define INFO36	30036	//***	unused
    #define INFO37	30037	//***	unused
    #define INFO38	30038	//***	unused
    #define INFO39	30039	//***	unused
    #define INFO40	30040	//***	unused
#define	INFO41	30041	//***	Kein Passwort erkannt.
    #define INFO42	30042	//***	unused
#define INFO43	30043	//***	multilingualer text fuer protokolldownloadfenster
#define INFO44	30044	//***	multilingualer text fuer protokolldownloadfenster
#define INFO45	30045	//***	Sie sind nicht berechtigt das Modul zu oeffnen.
#define INFO46	30046	//***	flag wird nicht kommuniziert
#define INFO47	30047	//***	force-modus reseten???
#define	INFO48	30048	//***	hinter dem Icon gibt es keine Surface (mit nr 0)
#define INFO49	30049	//***	Sie sind nicht berechtigt Parameter zur Steuerung zu schicken.
#define INFO50	30050	//***	Sie sind nicht berechtigt Parameter von der Steuerung zu holen.
#define	INFO51	30051	//***	Die serielle Schnittstelle konnte nicht geoeffnet werden!
#define INFO52	30052	//***	fileopen dialog ist schon offen
#define INFO53	30053	//***	linke maustaste -> statusmaschinenview erscheint
#define INFO54	30054	//***	keine korrektes zeitformat
#define INFO55	30055	//***	keine korrektes datumsformat
    #define INFO56	30056	//***	unused
    #define INFO57	30057	//***	unused
    #define INFO58	30058	//***	unused
#define INFO59	30059	//***	CSV Datei erfolgreich geschrieben
#define INFO60	30060	//***	Burst ist noch nicht beendet
#define INFO61	30061	//***	CSV Datei speichern
#define INFO62	30062	//***	WollenSieUeberschreiben
    #define INFO63	30063	//***	unused
#define INFO64	30064	//***	csv-file geschrieben
#define INFO65	30065	//***	csv-file nicht geschrieben
#define INFO66	30066	//***	Die Parameterdaten haben die falsche Version. trotzdem laden?
#define INFO67	30067	//***	Die Parameterdaten haben die falsche Geraete ID. trotzdem laden?
#define INFO68	30068	//***	Die Parameterprotokoll wurde geschrieben. wollen Sie ansehen?
#define INFO69	30069	//***	Element ausserhalb des Wertebereichs
#define INFO70	30070	//***	Sequenz datei speichern

//*** in the plugin.dll
void RuntimeMessage(long messnr);
int  RuntimeMessage(long messnr, long MB_optionen);
void RuntimeMessage(long messnr,char *messageArg);
void RuntimeMessage(long messnr,wchar_t *messageArg);
int  RuntimeMessage(long messnr,wchar_t *messageArg,wchar_t *messageArg2, long MB_optionen);

int getMessageText(long messnr,CStringA &returnstr,char *messageArg,char *messageArg2);
int getMessageText(long messnr,CStringW &returnstr,wchar_t *messageArg,wchar_t *messageArg2);

//*** in the common.exe
void AFX_EXT_API piRuntimeMessage(long messnr);
int  AFX_EXT_API piRuntimeMessage(long messnr, long MB_optionen);
void AFX_EXT_API piRuntimeMessage(long messnr,const char *messageArg);
void AFX_EXT_API piRuntimeMessage(long messnr,wchar_t *messageArg);

#endif