#ifndef ___doktab_h___
#define ___doktab_h___

//#include <afxtempl.h>
#pragma warning (disable : 4786)
#include <string>
#include <map>

using namespace std;

extern FILE *stream;

#ifdef PLAN42PLUGIN_H
struct CElement;
#endif

class DokTabs
{

public:
	DokTabLine	*DTLRoot;
	DokTabs		*next;
	short		surfacenr;
	short		InstanceNr;
	char		elnamen[MAX_ELNAME_NUM][LEN_NAME_MAX_SIM];
	CElement	*elements[MAX_ELNAME_NUM];
	char		moddefname[LEN_NAME_MAX_SIM];
	RD_char		actmodname[LEN_NAME_MAX_SIM];
	#if RD_UNICODESETTING == 1
		map<wstring,short> modnames;
	#else
		map<string,short> modnames;
	#endif
	bool		first_time_in_overview;

	DokTabs(void);
	DokTabs(char *id, short snr = 0);
	~DokTabs(void);
	char* getelname(short i);
	RD_char* getactmodname(void);
	void addcallname(char *c);
	void exporthtmlpages(EMB_HMI *screen);
	void exporthtmloverview(EMB_HMI *screen);
	void makeoverview(void);
	DokTabLine* AddDokTabLine(short pagenr, short htmlnr, RD_char *t, short *w, char *eln);
	void setElPointers(EMB_HMI *screen);
	void parse_menunames(EMB_HMI *screen);
	DokTabs* SearchDokTab(EMB_HMI *screen, RD_char *modn, short snr = 0);
	DokTabs* SearchDokTabWithModID(char *modn, short snr = 0);
	DokTabs* SearchNextDokTabWithModID(const char *modn);
	DokTabLine* SearchPage(EMB_HMI *screen,short *htmlnr, RD_char *titel);
	DokTabLine* SearchStartPage(RD_char *modn, short surnr, short *htmlnr, RD_char *titel);
	DokTabLine* isBildverweis(short xpos, short ypos);
	void copy(DokTabs *baseDokT);
	short getZugriffsNr(void);
};

CElement *getElement(EMB_HMI *screen,CModul *modul, RD_char *name);

extern DokTabs *RootDokTabs;

#endif