copy projectdefines.h ..\ctr\appl\projectdefines.h
copy rdnum.h ..\ctr\appl\rdnum.h
copy dev_def.h ..\ctr\appl\dev_def.h
copy project.io ..\ctr\appl\project.io
copy project.tio ..\ctr\appl\project.tio
copy source.c ..\ctr\appl\source.c
copy source_eldef.c ..\ctr\appl\source_eldef.c
copy source_helpvar.c ..\ctr\appl\source_helpvar.c
copy source_moddef.c ..\ctr\appl\source_moddef.c
copy source_visdef.c ..\ctr\appl\source_visdef.c
copy source.h ..\ctr\appl\source.h
copy module.h ..\ctr\appl\module.h
rem Module Teildateien lschen, vorm Kopieren falls weniger Dateien vorhanden sind
IF EXIST ..\ctr\appl\module*.c del ..\ctr\appl\module*.c
copy module*.c ..\ctr\appl\
copy ctr.ini ..\ctr\appl\bin\osdl.ini
copy ctr.txt ..\ctr\appl\bin\osdl.txt
copy struct.lst ..\sim\struct.lst
copy struct.lst ..\..\common\struct.lst
copy doku.ini osdl.ini
copy doku.txt osdl.txt
copy osdl.bmp ..\ctr\appl\bin\osdl.bmp

IF EXIST ..\ctr\appl\preservePar.c del ..\ctr\appl\preservePar.c
IF EXIST preservePar.c copy preservePar.c ..\ctr\appl\preservePar.c
IF EXIST ..\ctr\appl\preserveSys.c del ..\ctr\appl\preserveSys.c
IF EXIST preserveSys.c copy preserveSys.c ..\ctr\appl\preserveSys.c
IF EXIST ..\ctr\appl\preserveProc.c del ..\ctr\appl\preserveProc.c
IF EXIST preserveProc.c copy preserveProc.c ..\ctr\appl\preserveProc.c
IF EXIST ..\ctr\appl\preserveTab.c del ..\ctr\appl\preserveTab.c
IF EXIST preserveTab.c copy preserveTab.c ..\ctr\appl\preserveTab.c

copy distrib.h ..\ctr\appl\distrib.h
copy distrib.c ..\ctr\appl\distrib.c

copy rC_OBD_APP.c ..\ctr\appl\rC_OBD_APP.c
copy rC_OBD_APP.h ..\ctr\appl\rC_OBD_APP.h

copy stdafx.h ..\ctr\appl\stdafx.h
copy stdafx.h ..\ctr\system\stdafx.h

if exist rdi.def (
	copy rdi.def ..\ctr\appl\rdi.def /Y
) else (
	if exist ..\ctr\appl\rdi.def del ..\ctr\appl\rdi.def
)
if exist rdi_offtab.c (
	copy rdi_offtab.c ..\ctr\appl\rdi_offtab.c /Y
) else (
	if exist ..\ctr\appl\rdi_offtab.c del ..\ctr\appl\rdi_offtab.c
)
if exist rdi_pnttab.c (
	copy rdi_pnttab.c ..\ctr\appl\rdi_pnttab.c /Y
) else (
	if exist ..\ctr\appl\rdi_pnttab.c del ..\ctr\appl\rdi_pnttab.c
)
if exist rdi_meta.c (
	copy rdi_meta.c ..\ctr\appl\rdi_meta.c /Y
) else (
    if exist ..\ctr\appl\rdi_meta.c del ..\ctr\appl\rdi_meta.c
)

rem Copy only if directory exists, else object version
pushd "%OSDL_SYS%\ctr_Lib\SOURCE"
if not errorlevel 1 (
	popd
	rem alle .c dateien in das system-verzeichnis des projektes kopieren
	xcopy "%OSDL_SYS%\ctr_Lib\SOURCE\*.c" ..\ctr\System /I /Y

	rem system.h in das system-verzeichnis des projektes kopieren
	copy "%OSDL_SYS%\ctr_Lib\inc\system.h"   ..\ctr\system
)

rem ctr_init.h in das appl-verzeichnis des projektes kopieren
copy "%OSDL_SYS%\ctr_Lib\inc\ctr_init.h"   ..\ctr\appl
copy "%OSDL_SYS%\ctr_Lib\inc\include_all.h"   ..\ctr\appl
copy "%OSDL_SYS%\ctr_Lib\inc\include_lib.h"   ..\ctr\appl
copy "%OSDL_SYS%\ctr_Lib\inc\emb_hmi.h"   ..\sim

rem generate font files
call "%OSDL_SYS%\tools\FONT\createFonts.bat"

rem ProductFrameConf in das system-verzeichnis des projektes kopieren
if not exist "..\develop\ProductFrameConf" md "..\develop\ProductFrameConf"
copy "%OSDL_SYS%\tools\ProductFrameConf\ProductFrameConf.xml"   ..\develop\ProductFrameConf\ /D /Y
if not exist "..\develop\ProductFrameConf\RES" md "..\develop\ProductFrameConf\RES"
copy "%OSDL_SYS%\tools\ProductFrameConf\RES\*"   ..\develop\ProductFrameConf\RES /D /Y
